GPITriggerImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class GPITriggerImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.ComponentImpl
    - - tv.amwa.maj.model.impl.SegmentImpl
      - - tv.amwa.maj.model.impl.EventImpl
        - - tv.amwa.maj.model.impl.GPITriggerImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QComponent, QSegment, MediaEntity, MetadataObject, Component, Event, GPITrigger, InterchangeObject, Segment

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=1792,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="GPITrigger",
                  description="The GPITrigger class specifies a trigger action that should be taken when the GPITrigger is reached.",
                  symbol="GPITrigger")
      public class GPITriggerImpl
      extends EventImpl
      implements GPITrigger, Serializable, Cloneable

  Implements a trigger action that should be taken when the GPI trigger is reached.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GPITriggerImpl()`
    `GPITriggerImpl(DataDefinition dataDefinition, boolean activeState)` Creates and initializes a new GPI trigger event, which specifies a trigger action that should be taken when the GPITrigger is reached.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GPITrigger` | `clone()` Create a cloned copy of this interchange object.
    `boolean` | `getActiveState()` Returns the active state of this GPI trigger, which is `true` if the event is "on".
    `static boolean` | `initializeActiveState()`
    `void` | `setActiveState(boolean activeState)` Set to `true` to turn the trigger "on" or `false` to turn the trigger off.

    - ### Methods inherited from class tv.amwa.maj.model.impl.EventImpl

      `getEventComment, getEventPosition, getPositionPresent, initializeEventPosition, setEventComment, setEventPosition, setPositionPresent`

    - ### Methods inherited from class tv.amwa.maj.model.impl.SegmentImpl

      `generateSequence, getCutPoint, getKeyOffset, getPackLayerKeyIndicator, getSegmentBlob, getTrackBlob, getTrackKeyRenderSequence, getTrackName, getTrackRenderSequence, segmentOffsetToTC, segmentTCToOffset, setCutPoint, setKeyOffset, setPackLayerKeyIndicator, setSegmentBlob, setTrackBlob, setTrackKeyRenderSequence, setTrackName, setTrackRenderSequence`

    - ### Methods inherited from class tv.amwa.maj.model.impl.ComponentImpl

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComment, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getEditName, getJupiterClipOffset, getJupiterID, getLengthPresent, initializeComponentDataDefinition, prependComponentAttribute, prependComponentKLVData, prependComponentUserComment, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setComponentLengthFromStream, setEditName, setJupiterClipOffset, setJupiterID, setLengthPresent`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, appendXMLChildren, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.Event

      `getEventComment, getEventPosition, setEventComment, setEventPosition`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Constructor Detail

    - #### GPITriggerImpl

          public GPITriggerImpl()

    - #### GPITriggerImpl

          public GPITriggerImpl(DataDefinition dataDefinition,
                                @Bool
                                boolean activeState)
                         throws NullPointerException

      Creates and initializes a new GPI trigger event, which specifies a trigger action that should be taken when the GPITrigger is reached. If this event is located in an `event track`, its position must also be set using `EventImpl.setEventPosition(long)`.

      Parameters:
        `dataDefinition` - Kind of data represented by this component.
        `activeState` - Is the event turned on?
      Throws:
        `NullPointerException` - Data definition argument is `null`.

  - ### Method Detail

    - #### getActiveState

          @MediaProperty(uuid1=87032833,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,1},
                         definedName="ActiveState",
                         typeName="Boolean",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=2049,
                         symbol="ActiveState")
          public boolean getActiveState()

      Description copied from interface: `GPITrigger`

      Returns the active state of this GPI trigger, which is `true` if the event is "on".

      Specified by:
        `getActiveState` in interface `GPITrigger`
      Returns:
        Active state of this trigger.

    - #### setActiveState

          @MediaPropertySetter(value="ActiveState")
          public void setActiveState(boolean activeState)

      Description copied from interface: `GPITrigger`

      Set to `true` to turn the trigger "on" or `false` to turn the trigger off.

      Specified by:
        `setActiveState` in interface `GPITrigger`
      Parameters:
        `activeState` - Active state to set for the trigger.

    - #### initializeActiveState

          public static final boolean initializeActiveState()

    - #### clone

          public GPITrigger clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `Event`
      Specified by:
        `clone` in interface `GPITrigger`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Segment`
      Overrides:
        `clone` in class `EventImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.